• 如果您觉得本站非常有看点,那么赶紧使用Ctrl+D 收藏吧

执行失败的任务 ‘:应用程序:transformClassesWithInstantRunForClientDebug’

Android 来源:Anton T 11次浏览

错误 enter image description here执行失败的任务 ‘:应用程序:transformClassesWithInstantRunForClientDebug’

我gradle这个文件

buildscript { 
    repositories { 
     maven { url 'https://maven.fabric.io/public' } 
    } 

    dependencies { 
     classpath 'io.fabric.tools:gradle:1.+' 
    } 
} 
apply plugin: 'com.android.application' 
apply plugin: 'io.fabric' 

repositories { 
    maven { url 'https://maven.fabric.io/public' } 
} 

apply plugin: 'com.neenbedankt.android-apt' 

dependencies { 
    compile project(':venuemap') 
    // compile "com.android.support:appcompat-v7:$rootProject.supportLibraryVersion" 
    // compile "com.android.support:support-v4:$rootProject.supportLibraryVersion" 
    // compile  "com.android.support:design:$rootProject.supportLibraryVersion" 
    compile 'com.android.support:appcompat-v7:25.1.0' 
    compile 'com.android.support:design:25.1.0' 
    compile 'com.android.support:support-v4:25.1.0' 
// compile "com.google.android.gms:play-services:$rootProject.playServicesVersion" 
    compile "com.google.android.gms:play-services-location:$rootProject.playServicesVersion" 
    compile "com.google.android.gms:play-services-maps:$rootProject.playServicesVersion" 
    compile "com.google.android.gms:play-services-plus:$rootProject.playServicesVersion" 
    compile "com.squareup.retrofit2:retrofit:$rootProject.retrofitVersion" 
    compile "com.squareup.retrofit2:converter-gson:$rootProject.retrofitVersion" 
    compile "com.squareup.okhttp3:okhttp:$rootProject.okhttpVersion" 
    compile "com.squareup.okhttp3:logging-interceptor:$rootProject.okhttpVersion" 
    compile 'com.google.maps.android:android-maps-utils:0.4.4' 
    // compile 'com.google.maps.android:android-maps-utils:0.4+' 
    // compile 'com.google.maps.android:android-maps-utils:0.5+' 
    compile 'net.hockeyapp.android:HockeySDK:4.1.1' 
    compile 'com.flurry.android:analytics:6.5.0' 
    compile 'com.github.bumptech.glide:glide:3.7.0' 
    compile 'com.github.bumptech.glide:okhttp3-integration:[email protected]' 
    compile 'de.hdodenhof:circleimageview:2.1.0' 
    compile 'uk.co.chrisjenx:calligraphy:2.2.0' 
    compile 'org.greenrobot:eventbus:3.0.0' 
    compile 'org.parceler:parceler-api:1.1.9' 
    compile 'com.github.jd-alexander:library:1.1.0' 
    compile 'com.android.support:multidex:1.0.0' 
    compile "com.google.firebase:firebase-  core:$rootProject.playServicesVersion" 
    compile 'com.facebook.android:facebook-android-sdk:4.+' 
// annotationProcessor 'org.parceler:parceler:1.1.9' 
    compile('com.crashlytics.sdk.android:answers:[email protected]') { 
     transitive = true; 
    } 
} 

android { 
    def defaultApplicationId = "com.yamo.android" 

    def defaultVersionName = "1.1.7" 

    def buildNumber = "53" // increment when merging with master 
    def defaultVersionCode = Integer.parseInt(buildNumber) 

    def buildNumberSuffix = " (" + buildNumber + ")" 

    compileSdkVersion 26 
    buildToolsVersion '26.0.2' 

    defaultConfig { 
     minSdkVersion rootProject.minSdkVersion 
     targetSdkVersion rootProject.targetSdkVersion 
     applicationId defaultApplicationId 
     versionCode defaultVersionCode 
     versionName defaultVersionName 
     vectorDrawables.useSupportLibrary = true 
     // multiDexEnabled true 
    } 

    signingConfigs { 
     debug { 
      storeFile rootProject.file("keystore/debug.keystore") 
     } 

     release { 
      storeFile rootProject.file("keystore/release.keystore") 
      storePassword "password" 
      keyAlias "locassa" 
      keyPassword "password" 
     } 
    } 

    buildTypes { 
     debug { 
      minifyEnabled true 
      useProguard false 
      signingConfig signingConfigs.debug 
      proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' 
     } 

     release { 
      minifyEnabled true 
      useProguard true 
      shrinkResources true 
      signingConfig signingConfigs.release 
      proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' 
     } 
    } 

    productFlavors { 
     live { 
      versionName defaultVersionName + buildNumberSuffix 
     } 

     client { 
      versionName defaultVersionName + "-CLIENT" + buildNumberSuffix 
      applicationId defaultApplicationId 
     } 

     internal { 
      versionName defaultVersionName + "-INTERNAL" +  buildNumberSuffix 
      applicationId defaultApplicationId + ".internal" 
     } 
    } 

    packagingOptions { 
     exclude 'META-INF/LICENSE.txt' 
     exclude 'META-INF/LICENSE' 
     exclude 'META-INF/NOTICE.txt' 
     exclude 'META-INF/NOTICE' 
    } 

    //apply from: 
    rootProject.file('config/checkstyle/checkstyle.gradle') 
    apply plugin: 'com.google.gms.google-services' 
} 

在构建应用程序,我有这个错误。 我正在使用android studio 2.3.3。 CompileSdkVersion是26,buildToolsVersion是26.0.2。 而我的gradle版本是2.3.3。 我一直在寻找关于这个问题的解决方案好几天,但我没有在谷歌上找到任何东西。 请帮我解决这个错误。非常感谢!


===========解决方案如下:

这是你的问题:

compile 'com.facebook.android:facebook-android-sdk:4.+' 

使用此:

compile 'com.facebook.android:facebook-android-sdk:4.4.0' 

版权声明:本文转自网络文章,转载此文章仅为分享知识,如有侵权,请联系管理员进行删除。
喜欢 (0)